Installation | Starting Q3F | Running Servers | Basic Configuration | Troubleshooting

Running Servers

Q3F Servers can be ran in both dedicated and non-dedicated modes. For information on the Quake 3 aspects of running a Q3F server you should consult the documentation included with Quake 3 Arena (in the extras directory). This section deals with Q3F server specifics.

Generally, a non-dedicated server is used to run a server process on your machine that you too can also play on. You might use a non-dedicated server to play against friends on a LAN, or just to run around Q3F maps on your own.

A dedicated server is more suited to Internet or LAN use where many players will be connecting.

Special Note for Clan Matches: Map_restart is currently broken. To get a server in to prematch mode, you'll need to set g_dowarmup 1, g_warmup xxx (where xxx is the number of seconds for prematch) and then rcon map map_name. Q3F also supports a special ADMIN mode, which provides those with the password limited access to certain commands and features (such as free-flight spectating when spectator is disabled for normal players). For a full list of the commands available when auth'd as admin, type \admin <tab> at the console. these commands are also detailed in our Commands section.

Running a Q3F Non-Dedicated server

The easiest way to run a Q3F non-dedicated server, is from within Quake 3 itself. To do so, follow these simple steps:

1. Connect to the Internet or ensure you have a suitable LAN connection.
2. Insert the Quake 3 CD (you need this for non-dedicated servers)
3. Start Quake 3 Arena
4. Click the 'MODS' button on the Main Menu, select 'Q3F' from the list and then click the 'LOAD' button (Quake 3 may restart at this point)
5. If you haven't done so already, configure your Q3F keyboard controls by clicking the 'SETUP' button, then 'CONTROLS' and then 'Q3F'. You'll be presented with a list of the basic Q3F commands which you'll need to assign keys to. For help on this see the 'Basic Configuration' sub-section, or the more advanced 'Commands' section.
6. To start the non-dedicated server, click the 'MULTIPLAYER' button on the Main Menu which will take you to a server list. You'll probably need to hit your 'SPACE' key to halt the server update. Now click the 'CREATE' button. Select a map from the available selection, then on the next page, enter the settings you wish to use (such as capture limit time limit, server name etc). Click 'FIGHT' and you'll now be connected to your own server.

Running a Q3F Dedicated Server

To start a dedicated Q3F server you'll probably need to use the command line, or a desktop shortcut. Running a Q3F server is only a little more complex than running a standard Quake 3 Arena DM or CTF server. The key to smooth server operation lies in the q3f_server.cfg which includes all the Q3F specific commands that most server administrators will need. The q3f_server.cfg also includes the address of the dedicated Q3F master server - as such it's important that you consult this file, and use a command line as close as possible to the following if you're setting up a public server.

quake3 +set dedicated 2 +set fs_game q3f +exec q3f_server.cfg

The "+set dedicated 2" will ensure that your server reports to the Q3F dedicated master server. The "+set fs_game Q3F" tells Quake 3 to add the Q3F directory to the search path for PK3 files, while the "+exec q3f_server.cfg" executes a configuration file for the server.

Linux Note: While a normal Quake 3 DM/CTF server loads special BOT support files with an .AAS extension, these are not yet present in Q3F. Linux servers have been known to crash as a result of this bug which is easily fixed by adding "+set bot_enable 0" to the command line. This will ensure that BOT support is disabled.

Q3F Server Commands and g_settings

There are a number of new commands available to Q3F Server Administrators to aid server management and game-play tweaking. The following is a list of Q3F specific server commands with brief descriptions:

sv_minRate | Value=integer (bits per second) Default=1500. This CVAR is used to set on the server to stop people setting very low rates to make themselves less visible - this should resolve the "lower-rate-to-bypass-autosentry" cheat.
g_mapVote | 1=enable map voting screen at the end of each map, 0=disable map voting screen. This CVAR will scan the server's Q3F directory for all present maps, and then select up to ten at random to display on a vote menu to all players. This function may also be used by rconers and admins by using the 'rcon mapvote' and 'admin map vote' commands.
g_showTeamBalance | 1=enable, 0=disable. Displays a warning too all players when teams become unbalanced.
g_teamChatSounds | 0=no sounds, 1=comms wavs only, 2=comms and speech, default=1. this command is used to allow or deny the use of Q3F wav communications - some Server Administrators disable these on public servers to stop the spamming of wavs.
g_teamFrags | 1=team frags only displayed, 0=individual frags displayed. This setting determines the method of scoring for the server. Using Teamfrags will stop players from being able to see their own indivudual frags and *might* encourage more team-play.
g_adminPassword | Value=alphanumeric. This setting is used to specify an additional password to allow for limited administrative control of the server. Holders of this password will be able to kick and ban players, but will not be able to use any other RCON commands.
g_class<clasname>Limit | Value=integer, 0=none, -1=unlimited. This setting is used to detremine the maximum number of each class allowable per team. etting a sniper limit of 2 is popular to stop sniper wars. You could also move these to a map specific cfg (eg: q3f_forts.cfg) and then set limits based on each map - to do this you would need to exec q3f_forts.cfg as part of the set d1 "map q3f_forts ; set nextmap vstr d2" line in the q3f_server.cfg.
g_suicideDelay | Value=integer, default=7. The delay after suicide that player must wait before respawning.
g_spectatorMode | 0 = everyone who is spectator, and not has joined a team yet, can float free through the level. They can't use teamdoors though. 1 = only admins who are spectator, and have not joined a team yet, can float free through the level. This command is usefull for clan matches to ensure that players are not able to switch to spectator mode and scout out the enemy defense etc. Default = 0.
g_friendlyFire | Effects how much damage is done to teammates by friendly fire. Default = full, other values include: half, armor/amour, mirrorfull, mirrorhalf, and mirrorarmor. you can also clear this CVAR and disable team damage completely by setting it to 0.

For a complete list of the other Quake 3 commands that relate to running a dedicated Q3F server and their recommended settings, please see the q3f_server.cfg file included in this distribution.

To communicate with other Q3F Server Administrators and seek support on any issues relating to running a Q3F server, stop by the Server Admin Forum on the Q3F website.